/***************************************************************************
                         clipboard.h  -  Clipboard interface
                             -------------------
    begin                : Thu Jan 15 2004
    copyright            : (C) 2004 by Morten Hustveit
    email                : morten@debian.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CLIPBOARD_H
#define CLIPBOARD_H

#include "sanetrackerdoc.h"

class Clipboard
{
public:

  class Block
  {
  public:

    Block(uint width, uint height);
    Block(const Block& block);
    ~Block();

    SanetrackerDoc::Pattern::Track::Cell& operator()(uint x, uint y);

    uint width;
    uint height;

  protected:

    SanetrackerDoc::Pattern::Track::Cell* cells;
  };

  static Block                          block;
  static SanetrackerDoc::Pattern        pattern;
  static SanetrackerDoc::Pattern::Track track;
};

#endif // !CLIPBOARD_H

