#ifndef _CONTAINER_CPP_
#define _CONTAINER_CPP_

#include <iostream.h>

#include "container.h"

Container::Container(void * c) : _content(c) {
  _type = CONTAINER;
}

Container::Container(int i) : _content((void*)i) {
  _type = CONTAINER;
}

Container::~Container() {
}

void * Container::content() { return _content; }


ostream & Container::print(int dep, ostream & s) const {
  s << spc(dep) << "<CONTAINER CONTENT=\"" << _content << "\" />" << endl;
  return s;
}

void Container::flush(const char * c) const {
  cout << c << "CONTAINER " << _content << endl;
}

Element * Container::copy() const {
  return new Container(_content);
}

#endif
