#ifndef _LOADER_H_
#define _LOADER_H_

#include <fstream>

class Song;
class Table;
class PrProgress;

class Loader
{
 private:

 public:
  Loader();
  
  static Song * load(const char * fname, PrProgress * progress=0);
  static void save(const char * fname, Song * song);
  // static Song * loadMidi(ifstream*);
  static Song * loadMidi(const char * fname, PrProgress * progress=0);
  static void saveMidi(const char * fname, Song * song, PrProgress * progress=0);
  static Table * getAttributes(const char*,std::ifstream*&);
  static Table * getAttributes(const char*,char*);

  class DeltaTime
    {
    private:
      int dtimeInt;
      long dtime;
      short int dtime1[16];
      void calc();

    public:
      DeltaTime(long);
      char * array();
      long num();
      void write(char *, int &);
      ostream & print(ostream &);
      DeltaTime & operator++();
      DeltaTime operator++(int);
    };
};

ostream & operator<<(ostream&, Loader::DeltaTime&);

#endif
